##Copyright 2008 Petra Kralj
##Contact: Petra.Kralj@ijs.si
##
##This file is part of GMOtrack.
##
##GMOtrack is free software: you can redistribute it and/or modify
##it under the terms of the GNU General Public License as published
##by the Free Software Foundation, either version 3 of the License,
##or (at your option) any later version.
##
##GMOtrack is distributed in the hope that it will be useful, but
##WITHOUT ANY WARRANTY; without even the implied warranty of
##MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##GNU General Public License for more details.
##
##You should have received a copy of the GNU General Public License
##along with GMOtrack. If not, see <http://www.gnu.org/licenses/>.



from time import time, localtime, strftime
from sys import stdout

true = 1
false = 0

def notify(message, pointer=None, addTimeStamp=true, newLine=true):
    """Prints message on standard output and "appends" it to pointer.
       If addTimeStamp is true, prints also the timestamp """
    if addTimeStamp:
        message = "\n%s \t %s"%(strftime("%d %b %Y %H:%M:%S", localtime()), message)
    stdout.write(message)
